package model

type FbPayAssociationList struct {
	Id         int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	MerchantId string `json:"merchant_id" xorm:"not null comment('商户号') VARCHAR(255)"`
	StoreId    string `json:"store_id" xorm:"not null comment('商户门店号') VARCHAR(255)"`
	SubAppid   string `json:"sub_appid" xorm:"not null default '' comment('微信appid') VARCHAR(255)"`
	Platform   string `json:"platform" xorm:"comment('00：公众号（默认）01：小程序') VARCHAR(255)"`
}
